#ifndef ECSYNCLOG_INCLUDED
#define ECSYNCLOG_INCLUDED

#include "ECLibSync.h"
#include <pthread.h>

class ECLogger;

class ECSyncLog
{
public:
	static HRESULT ECLIBSYNC_API GetLogger(ECLogger **lppLogger);
	static HRESULT ECLIBSYNC_API SetLogger(ECLogger *lpLogger);

private:
	static pthread_mutex_t	s_hMutex;
	static ECLogger			*s_lpLogger;

	struct __initializer {
		__initializer();
		~__initializer();
	};
	static __initializer __i;
};

#endif // ndef ECSYNCLOG_INCLUDED
