#ifndef ECSYNCUTIL_H
#define ECSYNCUTIL_H

#include <string>
#include <set>

#include <mapidefs.h>

#include "ECLibSync.h"

typedef std::set<std::pair<unsigned int, std::string> > PROCESSEDCHANGESSET;
HRESULT ECLIBSYNC_API HrDecodeSyncStateStream(LPSTREAM lpStream, ULONG *lpulSyncId, ULONG *lpulChangeId, PROCESSEDCHANGESSET *lpSetProcessChanged = NULL);
HRESULT ResetStream(LPSTREAM lpStream);
HRESULT CreateNullStatusStream(LPSTREAM *lppStream);
HRESULT HrGetOneBinProp(IMAPIProp *lpProp, ULONG ulPropTag, LPSPropValue *lppPropValue);

#endif // ndef ECSYNCUTIL_H
