#ifndef ECENTRYID_H
#define ECENTRYID_H

#include <mapidefs.h>

extern unsigned char		*g_lpDefaultEid;
extern const unsigned int	g_cbDefaultEid;

extern unsigned char		*g_lpEveryoneEid;
extern const unsigned int	g_cbEveryoneEid;

extern unsigned char		*g_lpSystemEid;
extern const unsigned int	g_cbSystemEid;

HRESULT EntryIdIsDefault(unsigned int cbEntryId, LPENTRYID lpEntryId, bool *lpbResult);
HRESULT EntryIdIsSystem(unsigned int cbEntryId, LPENTRYID lpEntryId, bool *lpbResult);
HRESULT EntryIdIsEveryone(unsigned int cbEntryId, LPENTRYID lpEntryId, bool *lpbResult);
HRESULT GetNonPortableObjectId(unsigned int cbEntryId, LPENTRYID lpEntryId, unsigned int *lpulObjectId);
HRESULT GetNonPortableObjectType(unsigned int cbEntryId, LPENTRYID lpEntryId, ULONG *lpulObjectType);
HRESULT GeneralizeEntryIdInPlace(unsigned int cbEntryId, LPENTRYID lpEntryId);

#endif
