#ifndef EC_FEATURES_H
#define EC_FEATURES_H

#include "platform.h"
#include "mapidefs.h"
#include "mapix.h"
#include "IECServiceAdmin.h"
#include <string>
#include <set>

bool isFeature(const char* feature);
HRESULT hasFeature(const char* feature, LPSPropValue lpProps);
HRESULT hasFeature(const WCHAR* feature, LPSPropValue lpProps);
std::set<std::string> getFeatures();

bool isFeatureEnabled(const char* feature, IAddrBook *lpAddrBook, IMsgStore *lpUser);
bool isFeatureDisabled(const char* feature, IAddrBook *lpAddrBook, IMsgStore *lpUser);

#endif
