#ifndef ICONV_H
#define ICONV_H

#include "charset/convert.h"
#include <string>

class ECIConv {
public:
    ECIConv(const std::string &strToCharset, const std::string &strFromCharset);
    ~ECIConv();
    
	bool canConvert();
    std::string convert(const std::string &input);

private:
	typedef details::iconv_context<std::string, std::string> context_t;
	context_t *m_lpContext;
};

#endif
