#ifndef HRException_INCLUDED
#define HRException_INCLUDED

#include <exception>

class HrException : public std::runtime_error
{
public:
	HrException(HRESULT hr, const std::string &message = std::string()): std::runtime_error(message), m_hr(hr) {}
	HRESULT hr() const { return m_hr; }

private:
	HRESULT m_hr;
};

#endif // ndef HRException_INCLUDED
