#ifndef IECSECURITY_H
#define IECSECURITY_H

#include "IECUnknown.h"
#include "ECDefs.h"

#include <mapidefs.h>

class IECSecurity : public IECUnknown {
public:
	virtual HRESULT GetOwner(ULONG *lpcbOwner, LPENTRYID *lppOwner) = 0;
	virtual HRESULT GetUserList(ULONG cbCompanyId, LPENTRYID lpCompanyId, ULONG ulFlags, ULONG *lpcUsers, LPECUSER* lppsUsers) = 0;
	virtual HRESULT GetGroupList(ULONG cbCompanyId, LPENTRYID lpCompanyId, ULONG ulFlags, ULONG *lpcGroups, LPECGROUP *lppsGroups) = 0;
	virtual HRESULT GetCompanyList(ULONG ulFlags, ULONG *lpcCompanies, LPECCOMPANY *lppsCompanies) = 0;

	virtual HRESULT GetPermissionRules(int ulType, ULONG* lpcPermissions, LPECPERMISSION* lppECPermissions) = 0;
	virtual HRESULT SetPermissionRules(ULONG cPermissions, LPECPERMISSION lpECPermissions) = 0;
};

#endif
