#ifndef IECSPOOLER_H
#define IECSPOOLER_H

#include <mapidefs.h>

// This is our special spooler interface

class IECSpooler : public IUnknown {
public:
	// Gets an IMAPITable containing all the outgoing messages on the server
	virtual HRESULT __stdcall GetMasterOutgoingTable(ULONG ulFlags, IMAPITable **lppTable) = 0;

	// Removes a message from the master outgoing table
	virtual HRESULT __stdcall DeleteFromMasterOutgoingTable(ULONG cbEntryID, LPENTRYID lpEntryID, ULONG ulFlags) = 0;
};

#endif
