#ifndef IECUNKNOWN_H
#define IECUNKNOWN_H

/* needed for windows */
#ifndef METHOD_PROLOGUE_
#define METHOD_PROLOGUE_(theClass, localClass) \
	theClass* pThis = \
		((theClass*)((BYTE*)this - offsetof(theClass, m_x##localClass))); \
	pThis; 
#endif

// Our public IECUnknown interface

class IECUnknown {
public:
	virtual ~IECUnknown() {};

	virtual ULONG AddRef() = 0;
	virtual ULONG Release() = 0;
	virtual HRESULT QueryInterface(REFIID refiid, void **lpvoid) = 0;
};

#endif // IECUNKOWN_H
